Bug 610752 - can pulp repo option --label be changed to --repoid
can pulp repo option --label be changed to --repoid
Status: CLOSED NOTABUG
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 07:30 EDT by Preethi Thomas
Modified: 2011-07-15 15:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 17:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-07-02 07:30:50 EDT
Description of problem:

pulp repo options requires --label while for all the other cli options refers to the same as --repoid. 

can --label be changed to --repoid as well?

[root@preethi ~]# pulp repo create --help
Usage: pulp repo create [OPTIONS]

Options:
  -h, --help           show this help message and exit
  --label=LABEL        Repository Label
  --name=NAME          common repository name
  --arch=ARCH          package arch the repo should support.
  --feed=FEED          Url feed to populate the repo
  --schedule=SCHEDULE  Schedule for automatically synchronizing the repository
  --symlinks           Use symlinks instead of copying bits locally.
                       Applicable for local syncs


[root@preethi ~]#  pulp consumer bind --help
Usage: pulp consumer bind [OPTIONS]

Options:
  -h, --help            show this help message and exit
  --repoid=REPOID       Repo Identifier
  --consumerid=CONSUMERID
                        Consumer Identifier


[root@preethi ~]# pulp package info --help
Usage: pulp package info [OPTIONS]

Options:
  -h, --help            show this help message and exit
  -p NAME, --pkgname=NAME
                        Repository Label
  --repoid=REPOID       Repository Label

Note You need to log in before you can comment on or make changes to this bug.